> For the complete documentation index, see [llms.txt](https://docs.thesports.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.thesports.com/csgo/websocket/websocket-sample-data.md).

# WebSocket Sample Data

## Real-time match statistics

```json
[
    {
        "match_id": "dn1m1e6h8epvqoe",
        "box_num": 1,
        "status_id": 2,
        "single_status_id": 2,
        "map_id": "kn54qle2h8mvy9d",
        "round_num": 3,
        "timer": [
            1,
            1,
            1622024061,
            115,
            0
        ],
        "event": [
            {
                "typeid": 1,
                "killername": "",
                "killerside": 0,
                "victimname": "",
                "victimside": 0,
                "assistername": "",
                "assisterside": 0,
                "headshot": 0,
                "wintype": 0,
                "playername": "",
                "ctplayers": 0,
                "tplayers": 0,
                "winner": "",
                "winner_side": 0,
                "t_score": 0,
                "ct_score": 0,
                "playerside": 0,
                "flashername": "",
                "flasherside": 0,
                "index": 343,
                "weapon_id": ""
            }
        ],
        "home": {
            "id": "zp5rz5viwg9r82w",
            "side": 2,
            "stats": [
                0,
                0,
                0,
                0
            ],
            "win_icon": [
                "41",
                ""
            ],
            "players": [
                {
                    "id": "318q6g3fov7ero9",
                    "name": "DannyG",
                    "stats": [
                        4,
                        0,
                        0,
                        120.7,
                        2150,
                        0,
                        1,
                        1,
                        100
                    ],
                    "weapon_id": "e4wyrnxzfwm86pv"
                }
            ],
            "fh_score": 2,
            "sh_score": 0,
            "m_score": 0,
            "c_score": 3,
            "score": 0
        },
        "away": {
            "id": "jw2r086hj5xqz84",
            "side": 1,
            "stats": [
                0,
                0,
                0,
                0
            ],
            "win_icon": [
                "00",
                ""
            ],
            "players": [
                {
                    "id": "k82rep4fvn8kqep",
                    "name": "viridian",
                    "stats": [
                        2,
                        2,
                        1,
                        86.3,
                        2800,
                        0,
                        0,
                        0,
                        100
                    ],
                    "weapon_id": ""
                }
            ],
            "fh_score": 0,
            "sh_score": 0,
            "m_score": 0,
            "c_score": 0,
            "score": 0
        }
    }
]
```

## field description

```json
{
    "match_id": "dn1m1e6h8epvqoe",//Match id
    "box_num": 1,//Current inning
    "status_id": 2,//Match status, please refer to Status Code -> Match Status
    "single_status_id": 2,//Current game status, please refer to Status Code -> Match Status
    "map_id": "kn54qle2h8mvy9d",//Map id
    "round_num": 3,//Current round
    "timer": [//Match time field description
        1,//Whether to go to the watch, 1. Yes, 0. No
        1,//Whether to count down, 1. Yes, 0. No
        1622024061,//Round start time
        115,//Round time (seconds)
        0//Compatible, ignore
    ],
    "event": [//Event Date
        {
            "typeid": 1,//Type 1. Round start 2. Round over 3. Joined game 4. Quit game 5. Suicide 6. Planted bomb 7. Assist 8. Kill 9. Defused bomb
            "killername": "",//Killer name
            "killerside": 0,//Killer belong, 1. t, 2. ct, 0. None
            "victimname": "",//Victim's name
            "victimside": 0,//Victims belong, 1. t, 2. ct, 0. None
            "assistername": "",//Assist name
            "assisterside": 0,//Assists belong, 1. t, 2. ct, 0. None
            "headshot": 0,//Headshot, 1. Yes, 0. No
            "wintype": 0,//Ways to Win 1. Bomb defused, 2. Target bombed, 3. Target saved, 4. Counter Terrorists eliminated, 5. Terrorists eliminated, 6- Draw, 0. None
            "playername": "",//Player name
            "ctplayers": 0,//ct remaining quantity
            "tplayers": 0,//t remaining quantity
            "winner": "",//Winner's name
            "winner_side": 0,//Winner belong, 1. t, 2. ct, 0. None
            "t_score": 0,//t score
            "ct_score": 0,//ct score
            "playerside": 0,//Player belong, 1. t, 2. ct, 0. None
            "flashername": "",//Flasher name
            "flasherside": 0,//Flasher belong, 1. t, 2. ct, 0. None
            "index": 343,//Sort
            "weapon_id": ""//Weapon id
        }
    ],
    "home": {//Home team data
        "id": "zp5rz5viwg9r82w",//Team id
        "side": 2,//Owner, 1. t, 2. ct
        "stats": [//Team statistics field description
            0,//Win first half, 1. Yes, 0. No
            0,//Win second half, 1. Yes, 0. No
            0,//Win five rounds first, 1. Yes, 0. No
            0 //Win ten rounds first, 1. Yes, 0. No
        ],
        "win_icon": [//Victory signs for the first and second half, The array is divided into two, the first half and the second half, Each one is a round: 1. ct kills everyone 2. t kills everyone 3. t wins the explosion 4. ct wins the bomb removal 5. ct time runs out to win 0. None
            "41",//First half
            ""  //Second half
        ],
        "players": [//Player data
            {
                "id": "318q6g3fov7ero9",//Player id
                "name": "DannyG",//Name
                "stats": [//Player statistics field description
                    4,//Kills
                    0,//Deaths
                    0,//Assists
                    120.7,//Adr
                    2150,//Money
                    0,//Is there any bomb disposal equipment, 1. Yes, 0. No
                    1,//Is there a helmet, 1. Yes, 0. No
                    1,//Is there a body armor, 1. Yes, 0. No
                    100//HP
                ],
                "weapon_id": "e4wyrnxzfwm86pv"//Main weapon id
            }
        ],
        "fh_score": 2,//First half score
        "sh_score": 0,//Second half score
        "m_score": 0,//Overtime score
        "c_score": 3,//Total round score
        "score": 0//Total score (match score)
    },
    "away": {}//The away team field is the same as home
}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.thesports.com/csgo/websocket/websocket-sample-data.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
